#!/bin/bash

# Scheibe-Pages.sh

FILENAME=$1
shift

PAGES=$1
shift

USAGE="Usage: FILENAME PAGES [ -D macroname ]"

ERRFILE="${FILENAME}.err"

# ----------------------------------------------------------------------- #
# Validate command line options                                           #
# ----------------------------------------------------------------------- #

while getopts ":D:" ARG_STRING
do
    case $ARG_STRING in
    D)	MACRODEF=$OPTARG
	;;
    *)	echo $USAGE
	exit;;
    esac
done

if [ -n MACRODEF ]
then
    case $MACRODEF in
    SCORE) 
	SCORETYPE="_sc"
	;;
    PFL) 
	SCORETYPE="_fl"
	EXTRAOPTS="-s 1 -c3"
	;;
    PVL1) 
	SCORETYPE="_vl1"
	EXTRAOPTS="-s 2 -c3"
	;;
    PVLN1) 
        MACRODEF="PVL1"
	SCORETYPE="_vln1"
	EXTRAOPTS="-D NORMCLEF -s 2 -c3"
	;;
    PVL2) 
	SCORETYPE="_vl2"
	EXTRAOPTS="-s 3 -c3"
	;;
    PVLN2) 
        MACRODEF="PVL2"
	SCORETYPE="_vln2"
	EXTRAOPTS="-D NORMCLEF -s 3 -c3"
	;;
    PVLA) 
	SCORETYPE="_vla"
	EXTRAOPTS="-s 4 -c3"
	;;
    PVLAN) 
        MACRODEF="PVLA"
	SCORETYPE="_vlan"
	EXTRAOPTS="-D NORMCLEF -s 4 -c3"
	;;
    PBS) 
	SCORETYPE="_bs"
	EXTRAOPTS="-s 5 -c3"
	;;
    *)  
	echo Macronames: SCORE, PFL, PVL1, PVLN1, PVL2, PVLN2, PVLA, PVLAN, PBS
	exit;;
    esac
fi

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

source ./muppages-funcs.sh

domovement $PAGES $FILENAME
