#!/bin/bash

# do-all.sh

# Generate scores from MUP-, TeX- and Quikscript sources

#set -x

###############################################################################
# Set up variables                                                            #
###############################################################################

export QS="Qs"
#export QS="Qs-letter"

export PS2PDF="ps2pdf -sPAPERSIZE=letter"

###############################################################################
# Main program                                                                #
###############################################################################

#
# Generate single pages from mup sources
#

###############################################################################
# 1st movement                                                                #
###############################################################################

echo 1st movement, generating single pages 

echo "  full score ..."

./Scheibe-Pages.sh con1 11 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con1 3 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con1 2 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con1 2 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con1 1 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con1 2 -D PBS

###############################################################################
# 2nd movement                                                                #
###############################################################################

echo 2nd movement, generating single pages

echo "  cadenza ..."

mup -D SCORE -F con2-cad; ps2epsi con2-cad.ps

echo "  full score ..."

./Scheibe-Pages.sh con2 4 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con2 1 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con2 1 -D PVL1

./Scheibe-Pages.sh con2 1 -D PVLN1

echo "  violino secundo ..."

./Scheibe-Pages.sh con2 1 -D PVL2

./Scheibe-Pages.sh con2 1 -D PVLN2

echo "  viola ..."

./Scheibe-Pages.sh con2 1 -D PVLA

./Scheibe-Pages.sh con2 1 -D PVLAN

echo "  basso ..."

./Scheibe-Pages.sh con2 1 -D PBS

###############################################################################
# 3rd movement                                                                #
###############################################################################

echo 3rd movement, generating single pages

echo "  full score ..."

./Scheibe-Pages.sh con3 9 -D SCORE

echo "  flauto traverso ..."

./Scheibe-Pages.sh con3 2 -D PFL

echo "  violino primo ..."

./Scheibe-Pages.sh con3 2 -D PVL1

echo "  violino secundo ..."

./Scheibe-Pages.sh con3 2 -D PVL2

echo "  viola ..."

./Scheibe-Pages.sh con3 2 -D PVLA

echo "  basso ..."

./Scheibe-Pages.sh con3 2 -D PBS

###############################################################################
# Generate music examples for critical notes from mup sources                 #
###############################################################################

# echo generating music examples ...

# mup -F con1_ex1; ps2epsi con1_ex1.ps
# mup -F con2_ex1; ps2epsi con2_ex1.ps
# mup -F con2_ex2; ps2epsi con2_ex2.ps
# mup -F con2_ex3; ps2epsi con2_ex3.ps

###############################################################################
# Generate critical notes from TeX source                                     #
###############################################################################

echo generating critical notes ...

tex comments; dvips comments; ps2epsi comments.ps

###############################################################################
# Collect epsi pages to pdf scores                                            #
###############################################################################

echo generating scores ...

catex $QS ConcD.qs > ConcD.ps; $PS2PDF ConcD.ps
catex $QS ConcD-fl.qs > ConcD-fl.ps; $PS2PDF ConcD-fl.ps
catex $QS ConcD-vl1.qs > ConcD-vl1.ps; $PS2PDF ConcD-vl1.ps
catex $QS ConcD-vl2.qs > ConcD-vl2.ps; $PS2PDF ConcD-vl2.ps
catex $QS ConcD-vla.qs > ConcD-vla.ps; $PS2PDF ConcD-vla.ps
catex $QS ConcD-bs.qs > ConcD-bs.ps; $PS2PDF ConcD-bs.ps

###############################################################################
# Clean up intermediate files                                                 #
###############################################################################

echo cleaning up ...

rm *.dvi *.epsi *.ps *.log
#rm *.dvi *.epsi *.log
